> ## Name

> ColorArg0 - 3D API color arg0

> ## Usage

> ColorArg0 = int(third)

> ## Valid Enumerants

> third: Constant, Current, Diffuse, SelectMask, Specular, Temp, Texture, TFactor

> ## Description

> Specify settings for the third color operand for triadic operations. See the D3DTSS_COLORARG0 texture stage state description for DirectX 9.

> The standard reset callback sets the ColorArg0 state to int(Current).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AlphaArg0, AlphaArg1, AlphaArg2, AlphaBlendEnable, AlphaFunc, AlphaOp, AlphaRef, AlphaTestEnable, ColorArg1, ColorArg2, ColorOp, BlendOpAlpha